# this is a "simple cylindrical" panorama for Celestia
# (actually, it's identical to the "all sky map" billboard.)
#
# usage: 
#  create panoramic pictures using your favorite panorama generator.
#  add padding to the top and bottom if it's a cylinder
#    so that the resulting picture is a power of two on a side
#
#  edit sphre-pano.3ds to reference that mirror-image
#
# sphere-pano.3ds is a sphere with its surface normals reversed 
# so the viewer sees its interior, not its exterior.
#
# S.Ball 12Jan04

Nebula "sphere-panorama" {
	Mesh "sphere-pano.3ds"  # specifies the surface texture file "sphere-pano.*"
 	Axis [-0.409897 0.623875 0.665406]
	Angle 217.369
	RA 17.76033
	Dec -28.936172
	Distance 28000
	Radius 20
}

# a viewpoint at the center of the panorama

Nebula "inside-sphere-panorama" { 
 	Axis [-0.409897 0.623875 0.665406]
	Angle 217.369
	RA 17.76033
	Dec -28.936172
	Distance 28000
	Radius 0.001
}
